%bcond_with bootstrap
%global gem_name spring
Name:                rubygem-%{gem_name}
Version:             2.0.0
Release:             2
Summary:             Rails application preloader
License:             MIT
URL:                 https://github.com/rails/spring
Source0:             https://rubygems.org/gems/spring-%{version}.gem
Source1:             https://github.com/rails/spring/archive/v%{version}.tar.gz
Requires:            ruby(release) ruby(rubygems) %{_bindir}/ps
BuildRequires:       ruby(release) rubygems-devel rubygem(minitest) rubygem(bundler)
BuildRequires:       rubygem(activesupport)
BuildArch:           noarch
Provides:            bundled(okjson) = 43
%description
Spring is a Rails application preloader. It speeds up development by keeping
your application running in the background so you don't need to boot it every
time you run a test, rake task or migration.

%package help
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
Provides:            %{name}-doc = %{version}-%{release}
Obsoletes:           %{name}-doc < %{version}-%{release}
%description help
Documentation for %{name}

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
gem build %{gem_name}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/
mkdir -p %{buildroot}%{_bindir}
cp -pa .%{_bindir}/* \
        %{buildroot}%{_bindir}/
find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%if %{with bootstrap}
%check
pushd .%{gem_instdir}
tar xf %{SOURCE1}
cd %{gem_name}-%{version}
ruby -Ilib:test -e 'Dir.glob "./test/unit/**/*_test.rb", &method(:require)'
popd
%endif

%files
%dir %{gem_instdir}
%{_bindir}/spring
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%license %{gem_instdir}/LICENSE.txt

%files help
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Sat Sep 5 2020 liyanan <liyanan32@huawei.com> - 2.0.0-2
- fix build fail

* Sat Aug 22 2020 liyanan <liyanan32@huawei.com> - 2.0.0-1
- package init
